www.cendio.com
Bug 7068 - Session resize forces re-authentication on Windows 2016
: Session resize forces re-authentication on Windows 2016
Status: CLOSED FIXED
: ThinLinc
| rdesktop (deprecated)
: trunk
: PC Unknown
: P2 Normal
: 4.9.0
Assigned To:
:
:
:
: 6096
  Show dependency treegraph
 
Reported: 2017-10-18 14:24 by
Modified: 2018-02-01 12:54 (History)
Acceptance Criteria:


Attachments
dynamic resize test protocol (14.53 KB, application/vnd.oasis.opendocument.text)
2017-12-07 11:36, Thomas Nilefalk
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2017-10-18 14:24:28
When we are connected to Windows 2016 with rdesktop and resize the ThinLinc
session, you are forced to enter your password again.

Connections to Windows 2012 R2 reconnect without having to enter the password.

I used password authentication. I have not tested any other authentication
methods.

This happens both when connecting to a desktop (tl-run-windesk) and when using
Seamless applications (tl-run-winapp-seamless). I have not tested other methods
of connecting to Windows servers.
------- Comment #1 From cendio 2017-10-25 10:41:04 -------
When reconnecting to a Windows 2016 server, we don't send a
ARC_CS_PRIVATE_PACKET structure holding the authentication cookie as part of
the client info PDU.

When reconnecting to a Windows 2012, rdesktop includes this structure.
------- Comment #2 From cendio 2017-12-07 11:34:41 -------
This should be solved by https://github.com/rdesktop/rdesktop/pull/206
------- Comment #3 From cendio 2017-12-07 11:36:21 -------
Created an attachment (id=836) [details]
dynamic resize test protocol

This is the test protocol used during development of the dynamic resize
feature.
------- Comment #5 From cendio 2017-12-12 18:53:17 -------
This should be fixed by vendor drop r32951. We now use a resize method that
does not disconnect the user from the server on Windows 2016.
------- Comment #7 From cendio 2017-12-29 16:44:06 -------
Aside from the problem reported on bug 7094 this works very well. The fact that
Ctrl+Alt+Enter crashes rdesktop when running in a ThinLinc session makes it a
little bit difficult to test this completely. But since there are no problems
when running rdesktop outside of ThinLinc most cases have been tested.

I have verified:
 * that the old method of resizing still works well on Windows Server 2008 r2
 * that the new method works well on 2012 R2 and 2016
 * tl-run-rdesktop
 * tl-run-windesk
 * tl-run-winapp
 * tl-run-winapp-seamless
 * rdesktop running in a ThinLinc session
 * rdesktop running normally
 * rdesktop running on GNOME3
 * rdesktop running on XFCE